Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.modeshape.graph.query.model
Enum ArithmeticOperator.Arity

    java.lang.Object
      java.lang.Enum<ArithmeticOperator.Arity>
          org.modeshape.graph.query.model.ArithmeticOperator.Arity

All Implemented Interfaces:
  Serializable, Comparable<ArithmeticOperator.Arity>

Enclosing class:
  ArithmeticOperator

    public static enum ArithmeticOperator.Arity

extends Enum<ArithmeticOperator.Arity>

Enum Constant Summary
`BINARY`
`UNARY`

Method Summary
`static ArithmeticOperator.Arity` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ArithmeticOperator.Arity[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### UNARY

    public static final ArithmeticOperator.Arity UNARY

### BINARY

    public static final ArithmeticOperator.Arity BINARY

Method Detail

### values

    public static ArithmeticOperator.Arity[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ArithmeticOperator.Arity c : ArithmeticOperator.Arity.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ArithmeticOperator.Arity valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.